LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
I'm getting the same error message. When I started lyx with -dbg 
graphics I got: 
PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process

Is there a remedy for this?

--Deane


Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Rob S

The simple, if ugly solution is to open up your Edit-Preferences dialog,
select the Converters pane, select the LyX preview - PPM converter and
change its definition to
python full path to/lyxpreview2ppm.py
Also need to install an up to date version of Python and ensure the 
folder holing python.exe is in your system PATH. Then rename the 
currently shipped version of python.exe in lyx/bin

Preview then works fine.
But moving on---
I cannot now view .pdf images in 1.3.5 under windoze
I'm seeing a
convertDefault.sh Error
The script cannot find the ppm file in the temp dir
any ideas?

Rob S
--
R D Saunders
Hydraulic Research Group
Department of Civil and Environmental Engineering
University of Southampton
UK


LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
Thanks for your quick response!
Unfortunately, it didn't help. The preview box is checked. The converter ist 
properly 
listed in the default file. However, since I'm not very familiar with Lyx/Latex 
and 
programming in general, it seems that I gave you only part of the full error 
message.

PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process
C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py C:/Data/Script/6lyxpreview.tex 
129 
ppm

Could it be that the Windows  vs. Unix convention of writing paths is the 
problem? I tried 
to execute the command manually in a shell and it didn't give me an error 
message with 
only Windows backslashes.


Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Angus Leeming
Rob S wrote:
 But moving on---
 
 I cannot now view .pdf images in 1.3.5 under windoze
 I'm seeing a
 convertDefault.sh Error
 The script cannot find the ppm file in the temp dir
 
 any ideas?

Yes. See this from Enrico Forestieri

http://article.gmane.org/gmane.editors.lyx.general:19523

===
 - The convertDefault.sh script doesn't work again, it always fails
 when testing for converted file existance. I had to comment those
 lines out in order to get the figures to display in LyX

This is due to a nasty feature of the shell sh.exe included in the package.
If you installed lyx in C:/Programs/lyx, then any path of the form
C:/Programs/lyx/tmp/anything  gets translated to %TEMP%/anything, where
%TEMP% is the windows temporary files location. To test this, try opening a
dos terminal and launching sh.exe, then try cd C:/Programs/lyx/tmp and
see
where you end up

I have also Cygwin installed and noticed that if using cygwin pathnames
this
does not occur, i.e., cd /c/Programs/lyx/tmp works (I mounted /c on C:
under
cygwin). For those with Cygwin, this patch works:

$ diff -u convertDefault.sh.orig convertDefault.sh
--- convertDefault.sh.orig  2005-01-03 17:40:30.0 +0100
+++ convertDefault.sh   2005-01-05 19:00:14.0 +0100
@@ -28,7 +28,13 @@
 # so use everything from the first ':' to the end of the line.
 FILE=`echo $2 | cut -d ':' -f 2-`

-test -f $FILE || {
+# The shell sh.exe distributed with LyX behaves strangely:
+# The references to $INSTDIR/tmp get translated to $TEMP if $INSTDIR is of
+# the type C:/xyz, but not translated if it is a cygwin path like
/c/xyz.
+# Hence, $FILE would not be found because it is searched in the wrong
place!
+CYGFILE=`cygpath $FILE`
+
+test -f $CYGFILE || {
echo $0 ERROR
echo Unable to find file \${FILE}\
exit 1


This feature of sh.exe was also responsible for the failure of the old
script lyxpreview2bitmap.sh, used for instant preview.
===

I believe that the solution for you is to remove all of the diagnostics at
the end of convertDefault.sh. Ie, just cut out this:

# It appears that convert succeeded, but we know better than to trust
it ;-)
# convert is passed strings in the form FMT:FILENAME, so use the ':' to
# delimit the two parts.
# Note that Win32 filenames have the form 'C:\my\file',
# so use everything from the first ':' to the end of the line.
FILE=`echo $2 | cut -d ':' -f 2-`

test -f $FILE || {
echo $0 ERROR
echo Unable to find file \${FILE}\
exit 1
}

echo $0 generated file \${FILE}\ successfully.



-- 
Angus



Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Angus Leeming
[EMAIL PROTECTED] wrote:

 Thanks for your quick response!
 Unfortunately, it didn't help. The preview box is checked.

Sorry, I wan't clear. UNCHECK it. You're not using it. See here for what
InstantPreview is.

http://wiki.lyx.org/pmwiki.php/LyX/InstantPreview

Trust me, you don't need this to display graphics.

 The converter 
 ist properly listed in the default file. However, since I'm not very
 familiar with Lyx/Latex and programming in general, it seems that I gave
 you only part of the full error message.
 
 PreviewLoader::startLoading()
 Could not fork: Exec format error
 PreviewLoader::startLoading()
 Unable to start process
 C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py
 C:/Data/Script/6lyxpreview.tex 129 ppm
 
 Could it be that the Windows  vs. Unix convention of writing paths is the
 problem? I tried to execute the command manually in a shell and it didn't
 give me an error message with only Windows backslashes.

No, its the fact that the .py file is a script and Windows refuses to know
what to do with it. If this message were

python C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py
C:/Data/Script/6lyxpreview.tex 129 ppm

then the script would launch successfully, but would fail internally
because you don't have all the things installed on your machine that the
script needs to work.

-- 
Angus



Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Paul A. Rubin
[EMAIL PROTECTED] wrote:
Thanks for your quick response!
Unfortunately, it didn't help. The preview box is checked. The converter ist properly 
listed in the default file. However, since I'm not very familiar with Lyx/Latex and 
programming in general, it seems that I gave you only part of the full error message.

PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process
C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py C:/Data/Script/6lyxpreview.tex 129 
ppm

Could it be that the Windows  vs. Unix convention of writing paths is the problem? I tried 
to execute the command manually in a shell and it didn't give me an error message with 
only Windows backslashes.

See some of the posts earlier in this thread for some information.
The immediate problem is probably the fact that lyxpreview2ppm.py is not 
installed in the bin directory; it's in the ...Lyx\share\lyx\scripts 
directory.  Here is a list of things to do (if you have not already done 
them), assuming that you want to get instant preview to work:

1.  Delete or rename the python.exe file installed in LyX\bin.  Download 
and install the full version of Python 
(http://www.python.org/download/download_windows.html).  Instant preview 
won't work with the version of python that comes with the Windows port 
of LyX 1.3.5.

2.  In LyX, change Edit | Preferences | Converters | LyX preview-PPM to 
read

python /Programme/Office/Lyx/share/lyx/scripts/lyxpreview2ppm.py
(verify that the path does in fact lead to the .py file), click Modify 
and then Save.

3.  Unless something has changed in the latest version, you will need to 
have the netpbm package and Ghostscript installed for preview to work. 
There should be details on the LyX Wiki.

4.  The line you quoted above indicates that LyX was looking for a 
temporary file in C:/Data/Script/.  If that is the directory you 
specified as your temporary directory (in Edit | Preferences | Paths), 
that's fine.  If not, something else is broken.

Note that LyX is highly usable without instant preview (I typically turn 
it off), so you may prefer just to uncheck it and do without.

-- Paul
**
Paul A. RubinPhone: 
   (517) 432-3509
Department of ManagementFax:  (517) 
432-
The Eli Broad Graduate School of ManagementE-mail:   [EMAIL PROTECTED]
Michigan State University 
http://www.msu.edu/~rubin/
East Lansing, MI  48824-1122  (USA)
**
Mathematicians are like Frenchmen:  whenever you say something to them,
they translate it into their own language, and at once it is something
entirely different.J. W. v. GOETHE



LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
Thank you! After re-installing Lyx and changing the preferences, 
preview works fine now.


LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
I'm getting the same error message. When I started lyx with -dbg 
graphics I got: 
PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process

Is there a remedy for this?

--Deane


Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Rob S

The simple, if ugly solution is to open up your Edit-Preferences dialog,
select the Converters pane, select the LyX preview - PPM converter and
change its definition to
python full path to/lyxpreview2ppm.py
Also need to install an up to date version of Python and ensure the 
folder holing python.exe is in your system PATH. Then rename the 
currently shipped version of python.exe in lyx/bin

Preview then works fine.
But moving on---
I cannot now view .pdf images in 1.3.5 under windoze
I'm seeing a
convertDefault.sh Error
The script cannot find the ppm file in the temp dir
any ideas?

Rob S
--
R D Saunders
Hydraulic Research Group
Department of Civil and Environmental Engineering
University of Southampton
UK


LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
Thanks for your quick response!
Unfortunately, it didn't help. The preview box is checked. The converter ist 
properly 
listed in the default file. However, since I'm not very familiar with Lyx/Latex 
and 
programming in general, it seems that I gave you only part of the full error 
message.

PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process
C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py C:/Data/Script/6lyxpreview.tex 
129 
ppm

Could it be that the Windows  vs. Unix convention of writing paths is the 
problem? I tried 
to execute the command manually in a shell and it didn't give me an error 
message with 
only Windows backslashes.


Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Angus Leeming
Rob S wrote:
 But moving on---
 
 I cannot now view .pdf images in 1.3.5 under windoze
 I'm seeing a
 convertDefault.sh Error
 The script cannot find the ppm file in the temp dir
 
 any ideas?

Yes. See this from Enrico Forestieri

http://article.gmane.org/gmane.editors.lyx.general:19523

===
 - The convertDefault.sh script doesn't work again, it always fails
 when testing for converted file existance. I had to comment those
 lines out in order to get the figures to display in LyX

This is due to a nasty feature of the shell sh.exe included in the package.
If you installed lyx in C:/Programs/lyx, then any path of the form
C:/Programs/lyx/tmp/anything  gets translated to %TEMP%/anything, where
%TEMP% is the windows temporary files location. To test this, try opening a
dos terminal and launching sh.exe, then try cd C:/Programs/lyx/tmp and
see
where you end up

I have also Cygwin installed and noticed that if using cygwin pathnames
this
does not occur, i.e., cd /c/Programs/lyx/tmp works (I mounted /c on C:
under
cygwin). For those with Cygwin, this patch works:

$ diff -u convertDefault.sh.orig convertDefault.sh
--- convertDefault.sh.orig  2005-01-03 17:40:30.0 +0100
+++ convertDefault.sh   2005-01-05 19:00:14.0 +0100
@@ -28,7 +28,13 @@
 # so use everything from the first ':' to the end of the line.
 FILE=`echo $2 | cut -d ':' -f 2-`

-test -f $FILE || {
+# The shell sh.exe distributed with LyX behaves strangely:
+# The references to $INSTDIR/tmp get translated to $TEMP if $INSTDIR is of
+# the type C:/xyz, but not translated if it is a cygwin path like
/c/xyz.
+# Hence, $FILE would not be found because it is searched in the wrong
place!
+CYGFILE=`cygpath $FILE`
+
+test -f $CYGFILE || {
echo $0 ERROR
echo Unable to find file \${FILE}\
exit 1


This feature of sh.exe was also responsible for the failure of the old
script lyxpreview2bitmap.sh, used for instant preview.
===

I believe that the solution for you is to remove all of the diagnostics at
the end of convertDefault.sh. Ie, just cut out this:

# It appears that convert succeeded, but we know better than to trust
it ;-)
# convert is passed strings in the form FMT:FILENAME, so use the ':' to
# delimit the two parts.
# Note that Win32 filenames have the form 'C:\my\file',
# so use everything from the first ':' to the end of the line.
FILE=`echo $2 | cut -d ':' -f 2-`

test -f $FILE || {
echo $0 ERROR
echo Unable to find file \${FILE}\
exit 1
}

echo $0 generated file \${FILE}\ successfully.



-- 
Angus



Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Angus Leeming
[EMAIL PROTECTED] wrote:

 Thanks for your quick response!
 Unfortunately, it didn't help. The preview box is checked.

Sorry, I wan't clear. UNCHECK it. You're not using it. See here for what
InstantPreview is.

http://wiki.lyx.org/pmwiki.php/LyX/InstantPreview

Trust me, you don't need this to display graphics.

 The converter 
 ist properly listed in the default file. However, since I'm not very
 familiar with Lyx/Latex and programming in general, it seems that I gave
 you only part of the full error message.
 
 PreviewLoader::startLoading()
 Could not fork: Exec format error
 PreviewLoader::startLoading()
 Unable to start process
 C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py
 C:/Data/Script/6lyxpreview.tex 129 ppm
 
 Could it be that the Windows  vs. Unix convention of writing paths is the
 problem? I tried to execute the command manually in a shell and it didn't
 give me an error message with only Windows backslashes.

No, its the fact that the .py file is a script and Windows refuses to know
what to do with it. If this message were

python C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py
C:/Data/Script/6lyxpreview.tex 129 ppm

then the script would launch successfully, but would fail internally
because you don't have all the things installed on your machine that the
script needs to work.

-- 
Angus



Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Paul A. Rubin
[EMAIL PROTECTED] wrote:
Thanks for your quick response!
Unfortunately, it didn't help. The preview box is checked. The converter ist properly 
listed in the default file. However, since I'm not very familiar with Lyx/Latex and 
programming in general, it seems that I gave you only part of the full error message.

PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process
C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py C:/Data/Script/6lyxpreview.tex 129 
ppm

Could it be that the Windows  vs. Unix convention of writing paths is the problem? I tried 
to execute the command manually in a shell and it didn't give me an error message with 
only Windows backslashes.

See some of the posts earlier in this thread for some information.
The immediate problem is probably the fact that lyxpreview2ppm.py is not 
installed in the bin directory; it's in the ...Lyx\share\lyx\scripts 
directory.  Here is a list of things to do (if you have not already done 
them), assuming that you want to get instant preview to work:

1.  Delete or rename the python.exe file installed in LyX\bin.  Download 
and install the full version of Python 
(http://www.python.org/download/download_windows.html).  Instant preview 
won't work with the version of python that comes with the Windows port 
of LyX 1.3.5.

2.  In LyX, change Edit | Preferences | Converters | LyX preview-PPM to 
read

python /Programme/Office/Lyx/share/lyx/scripts/lyxpreview2ppm.py
(verify that the path does in fact lead to the .py file), click Modify 
and then Save.

3.  Unless something has changed in the latest version, you will need to 
have the netpbm package and Ghostscript installed for preview to work. 
There should be details on the LyX Wiki.

4.  The line you quoted above indicates that LyX was looking for a 
temporary file in C:/Data/Script/.  If that is the directory you 
specified as your temporary directory (in Edit | Preferences | Paths), 
that's fine.  If not, something else is broken.

Note that LyX is highly usable without instant preview (I typically turn 
it off), so you may prefer just to uncheck it and do without.

-- Paul
**
Paul A. RubinPhone: 
   (517) 432-3509
Department of ManagementFax:  (517) 
432-
The Eli Broad Graduate School of ManagementE-mail:   [EMAIL PROTECTED]
Michigan State University 
http://www.msu.edu/~rubin/
East Lansing, MI  48824-1122  (USA)
**
Mathematicians are like Frenchmen:  whenever you say something to them,
they translate it into their own language, and at once it is something
entirely different.J. W. v. GOETHE



LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
Thank you! After re-installing Lyx and changing the preferences, 
preview works fine now.


LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
I'm getting the same error message. When I started lyx with -dbg 
graphics I got: 
PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process

Is there a remedy for this?

--Deane


Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Rob S

The simple, if ugly solution is to open up your Edit->Preferences dialog,
select the Converters pane, select the LyX preview -> PPM converter and
change its definition to
python /lyxpreview2ppm.py
Also need to install an up to date version of Python and ensure the 
folder holing python.exe is in your system PATH. Then rename the 
currently shipped version of python.exe in lyx/bin

Preview then works fine.
But moving on---
I cannot now view .pdf images in 1.3.5 under windoze
I'm seeing a
convertDefault.sh Error
The script cannot find the ppm file in the temp dir
any ideas?

Rob S
--
R D Saunders
Hydraulic Research Group
Department of Civil and Environmental Engineering
University of Southampton
UK


LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
Thanks for your quick response!
Unfortunately, it didn't help. The preview box is checked. The converter ist 
properly 
listed in the default file. However, since I'm not very familiar with Lyx/Latex 
and 
programming in general, it seems that I gave you only part of the full error 
message.

PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process
C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py C:/Data/Script/6lyxpreview.tex 
129 
ppm

Could it be that the Windows  vs. Unix convention of writing paths is the 
problem? I tried 
to execute the command manually in a shell and it didn't give me an error 
message with 
only Windows backslashes.


Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Angus Leeming
Rob S wrote:
> But moving on---
> 
> I cannot now view .pdf images in 1.3.5 under windoze
> I'm seeing a
> convertDefault.sh Error
> The script cannot find the ppm file in the temp dir
> 
> any ideas?

Yes. See this from Enrico Forestieri

http://article.gmane.org/gmane.editors.lyx.general:19523

===
> - The convertDefault.sh script doesn't work again, it always fails
> when testing for converted file existance. I had to comment those
> lines out in order to get the figures to display in LyX

This is due to a nasty feature of the shell sh.exe included in the package.
If you installed lyx in C:/Programs/lyx, then any path of the form
C:/Programs/lyx/tmp/anything  gets translated to %TEMP%/anything, where
%TEMP% is the windows temporary files location. To test this, try opening a
dos terminal and launching sh.exe, then try "cd C:/Programs/lyx/tmp" and
see
where you end up

I have also Cygwin installed and noticed that if using cygwin pathnames
this
does not occur, i.e., "cd /c/Programs/lyx/tmp" works (I mounted /c on C:
under
cygwin). For those with Cygwin, this patch works:

$ diff -u convertDefault.sh.orig convertDefault.sh
--- convertDefault.sh.orig  2005-01-03 17:40:30.0 +0100
+++ convertDefault.sh   2005-01-05 19:00:14.0 +0100
@@ -28,7 +28,13 @@
 # so use everything from the first ':' to the end of the line.
 FILE=`echo "$2" | cut -d ':' -f 2-`

-test -f "$FILE" || {
+# The shell sh.exe distributed with LyX behaves strangely:
+# The references to $INSTDIR/tmp get translated to $TEMP if $INSTDIR is of
+# the type "C:/xyz", but not translated if it is a cygwin path like
"/c/xyz".
+# Hence, $FILE would not be found because it is searched in the wrong
place!
+CYGFILE=`cygpath $FILE`
+
+test -f "$CYGFILE" || {
echo "$0 ERROR"
echo "Unable to find file \"${FILE}\""
exit 1


This "feature" of sh.exe was also responsible for the failure of the old
script lyxpreview2bitmap.sh, used for instant preview.
===

I believe that the solution for you is to remove all of the diagnostics at
the end of convertDefault.sh. Ie, just cut out this:

# It appears that convert succeeded, but we know better than to trust
it ;-)
# convert is passed strings in the form "FMT:FILENAME", so use the ':' to
# delimit the two parts.
# Note that Win32 filenames have the form 'C:\my\file',
# so use everything from the first ':' to the end of the line.
FILE=`echo "$2" | cut -d ':' -f 2-`

test -f "$FILE" || {
echo "$0 ERROR"
echo "Unable to find file \"${FILE}\""
exit 1
}

echo "$0 generated file \"${FILE}\" successfully."



-- 
Angus



Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Angus Leeming
[EMAIL PROTECTED] wrote:

> Thanks for your quick response!
> Unfortunately, it didn't help. The preview box is checked.

Sorry, I wan't clear. UNCHECK it. You're not using it. See here for what
InstantPreview is.

http://wiki.lyx.org/pmwiki.php/LyX/InstantPreview

Trust me, you don't need this to display graphics.

> The converter 
> ist properly listed in the default file. However, since I'm not very
> familiar with Lyx/Latex and programming in general, it seems that I gave
> you only part of the full error message.
> 
> PreviewLoader::startLoading()
> Could not fork: Exec format error
> PreviewLoader::startLoading()
> Unable to start process
> C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py
> C:/Data/Script/6lyxpreview.tex 129 ppm
> 
> Could it be that the Windows  vs. Unix convention of writing paths is the
> problem? I tried to execute the command manually in a shell and it didn't
> give me an error message with only Windows backslashes.

No, its the fact that the .py file is a script and Windows refuses to know
what to do with it. If this message were

python C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py
C:/Data/Script/6lyxpreview.tex 129 ppm

then the script would launch successfully, but would fail internally
because you don't have all the things installed on your machine that the
script needs to work.

-- 
Angus



Re: LyX 1.3.5 for Windows - no preview

2005-01-13 Thread Paul A. Rubin
[EMAIL PROTECTED] wrote:
Thanks for your quick response!
Unfortunately, it didn't help. The preview box is checked. The converter ist properly 
listed in the default file. However, since I'm not very familiar with Lyx/Latex and 
programming in general, it seems that I gave you only part of the full error message.

PreviewLoader::startLoading()
Could not fork: Exec format error
PreviewLoader::startLoading()
Unable to start process
C:\Programme\Office\Lyx\bin\lyxpreview2ppm.py C:/Data/Script/6lyxpreview.tex 129 
ppm

Could it be that the Windows  vs. Unix convention of writing paths is the problem? I tried 
to execute the command manually in a shell and it didn't give me an error message with 
only Windows backslashes.

See some of the posts earlier in this thread for some information.
The immediate problem is probably the fact that lyxpreview2ppm.py is not 
installed in the bin directory; it's in the ...Lyx\share\lyx\scripts 
directory.  Here is a list of things to do (if you have not already done 
them), assuming that you want to get instant preview to work:

1.  Delete or rename the python.exe file installed in LyX\bin.  Download 
and install the full version of Python 
(http://www.python.org/download/download_windows.html).  Instant preview 
won't work with the version of python that comes with the Windows port 
of LyX 1.3.5.

2.  In LyX, change Edit | Preferences | Converters | LyX preview->PPM to 
read

python /Programme/Office/Lyx/share/lyx/scripts/lyxpreview2ppm.py
(verify that the path does in fact lead to the .py file), click Modify 
and then Save.

3.  Unless something has changed in the latest version, you will need to 
have the netpbm package and Ghostscript installed for preview to work. 
There should be details on the LyX Wiki.

4.  The line you quoted above indicates that LyX was looking for a 
temporary file in C:/Data/Script/.  If that is the directory you 
specified as your temporary directory (in Edit | Preferences | Paths), 
that's fine.  If not, something else is broken.

Note that LyX is highly usable without instant preview (I typically turn 
it off), so you may prefer just to uncheck it and do without.

-- Paul
**
Paul A. RubinPhone: 
   (517) 432-3509
Department of ManagementFax:  (517) 
432-
The Eli Broad Graduate School of ManagementE-mail:   [EMAIL PROTECTED]
Michigan State University 
http://www.msu.edu/~rubin/
East Lansing, MI  48824-1122  (USA)
**
Mathematicians are like Frenchmen:  whenever you say something to them,
they translate it into their own language, and at once it is something
entirely different.J. W. v. GOETHE



LyX 1.3.5 for Windows - no preview

2005-01-13 Thread deane
Thank you! After re-installing Lyx and changing the preferences, 
preview works fine now.


Re: LyX 1.3.5 for Windows - no preview

2005-01-07 Thread Paul A. Rubin
Angus Leeming wrote:
Doesn't 1.3.5 use the python script lyxpreview2ppm.py? 
Yes, it does.
It was, after all,
written especially so that the Windows world might have a hope in hell in
getting it to work.
Hope springs eternal in the Windows world.  It's just seldom fulfilled.
I'd expect your lyxrc.defaults to contain:
\converter lyxpreview ppm lyxpreview2ppm.py 
It does.
-- Paul


Re: LyX 1.3.5 for Windows - no preview

2005-01-07 Thread Paul A. Rubin
Angus Leeming wrote:
Doesn't 1.3.5 use the python script lyxpreview2ppm.py? 
Yes, it does.
It was, after all,
written especially so that the Windows world might have a hope in hell in
getting it to work.
Hope springs eternal in the Windows world.  It's just seldom fulfilled.
I'd expect your lyxrc.defaults to contain:
\converter lyxpreview ppm lyxpreview2ppm.py 
It does.
-- Paul


Re: LyX 1.3.5 for Windows - no preview

2005-01-07 Thread Paul A. Rubin
Angus Leeming wrote:
Doesn't 1.3.5 use the python script lyxpreview2ppm.py? 
Yes, it does.
It was, after all,
written especially so that the Windows world might have a hope in hell in
getting it to work.
Hope springs eternal in the Windows world.  It's just seldom fulfilled.
I'd expect your lyxrc.defaults to contain:
\converter lyxpreview ppm "lyxpreview2ppm.py" ""
It does.
-- Paul


LyX 1.3.5 for Windows - no preview

2005-01-05 Thread Paul A. Rubin
Regarding the error when trying to preview formulas (Could not fork: 
Exec format error), I noticed that the copy of the 1.3.5 port I just 
downloaded from Sourceforge lacks the lyxpreview2bitmap.sh script in the 
scripts directory.  I copied the script from 1.3.3, but the error 
persists.  In fact, I tweaked the script to echo a comment at the 
beginning, and it never got even that far, so apparently the script was 
never executed.  Don't know if any of that will help pin down the error.

-- Paul


Re: LyX 1.3.5 for Windows - no preview

2005-01-05 Thread Angus Leeming
Paul A. Rubin wrote:

 Regarding the error when trying to preview formulas (Could not fork:
 Exec format error), I noticed that the copy of the 1.3.5 port I just
 downloaded from Sourceforge lacks the lyxpreview2bitmap.sh script in the
 scripts directory.  I copied the script from 1.3.3, but the error
 persists.  In fact, I tweaked the script to echo a comment at the
 beginning, and it never got even that far, so apparently the script was
 never executed.  Don't know if any of that will help pin down the error.

Doesn't 1.3.5 use the python script lyxpreview2ppm.py? It was, after all,
written especially so that the Windows world might have a hope in hell in
getting it to work.

I'd expect your lyxrc.defaults to contain:
\converter lyxpreview ppm lyxpreview2ppm.py 

-- 
Angus



LyX 1.3.5 for Windows - no preview

2005-01-05 Thread Paul A. Rubin
Regarding the error when trying to preview formulas (Could not fork: 
Exec format error), I noticed that the copy of the 1.3.5 port I just 
downloaded from Sourceforge lacks the lyxpreview2bitmap.sh script in the 
scripts directory.  I copied the script from 1.3.3, but the error 
persists.  In fact, I tweaked the script to echo a comment at the 
beginning, and it never got even that far, so apparently the script was 
never executed.  Don't know if any of that will help pin down the error.

-- Paul


Re: LyX 1.3.5 for Windows - no preview

2005-01-05 Thread Angus Leeming
Paul A. Rubin wrote:

 Regarding the error when trying to preview formulas (Could not fork:
 Exec format error), I noticed that the copy of the 1.3.5 port I just
 downloaded from Sourceforge lacks the lyxpreview2bitmap.sh script in the
 scripts directory.  I copied the script from 1.3.3, but the error
 persists.  In fact, I tweaked the script to echo a comment at the
 beginning, and it never got even that far, so apparently the script was
 never executed.  Don't know if any of that will help pin down the error.

Doesn't 1.3.5 use the python script lyxpreview2ppm.py? It was, after all,
written especially so that the Windows world might have a hope in hell in
getting it to work.

I'd expect your lyxrc.defaults to contain:
\converter lyxpreview ppm lyxpreview2ppm.py 

-- 
Angus



LyX 1.3.5 for Windows - no preview

2005-01-05 Thread Paul A. Rubin
Regarding the error when trying to preview formulas ("Could not fork: 
Exec format error"), I noticed that the copy of the 1.3.5 port I just 
downloaded from Sourceforge lacks the lyxpreview2bitmap.sh script in the 
scripts directory.  I copied the script from 1.3.3, but the error 
persists.  In fact, I tweaked the script to echo a comment at the 
beginning, and it never got even that far, so apparently the script was 
never executed.  Don't know if any of that will help pin down the error.

-- Paul


Re: LyX 1.3.5 for Windows - no preview

2005-01-05 Thread Angus Leeming
Paul A. Rubin wrote:

> Regarding the error when trying to preview formulas ("Could not fork:
> Exec format error"), I noticed that the copy of the 1.3.5 port I just
> downloaded from Sourceforge lacks the lyxpreview2bitmap.sh script in the
> scripts directory.  I copied the script from 1.3.3, but the error
> persists.  In fact, I tweaked the script to echo a comment at the
> beginning, and it never got even that far, so apparently the script was
> never executed.  Don't know if any of that will help pin down the error.

Doesn't 1.3.5 use the python script lyxpreview2ppm.py? It was, after all,
written especially so that the Windows world might have a hope in hell in
getting it to work.

I'd expect your lyxrc.defaults to contain:
\converter lyxpreview ppm "lyxpreview2ppm.py" ""

-- 
Angus